Bug 242575 - dns/powerdns-recursor: update to 4.2.1
Summary: dns/powerdns-recursor: update to 4.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL: https://doc.powerdns.com/recursor/cha...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-12-11 10:22 UTC by Ralf van der Enden
Modified: 2020-02-17 13:11 UTC (History)
3 users (show)

See Also:


Attachments
Update to PowerDNS Recursor 4.2.1 (1.09 KB, patch)
2019-12-11 10:22 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
Update to PowerDNS Recursor 4.2.1 (regenerated against current SVN tree) (1.11 KB, patch)
2020-02-17 10:43 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2019-12-11 10:22:24 UTC
Created attachment 209858 [details]
Update to PowerDNS Recursor 4.2.1

Except from https://blog.powerdns.com/2019/12/09/powerdns-recursor-4-2-1-released/:

This is a maintenance release that fixes a few issues. In particular, a very slow creeping memory leak is plugged and an rare failure to resolve specific names when the dnssec configuration is set to validate has been fixed.


QA:
portlint: OK (looks fine.)
testport: OK (12.1, amd64)
Comment 1 Ralf van der Enden 2019-12-11 10:23:20 UTC
Also changed LuaJIT to LuaJIT-OpenResty (if that OPTION is selected)
Comment 2 Automation User 2019-12-11 14:54:54 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/102250640
Comment 3 Tobias C. Berner freebsd_committer 2020-01-07 18:50:35 UTC
Moin moin 

Could you regenarte the patch against the current tree?

mfg Tobias
Comment 4 Dani 2020-02-10 14:38:19 UTC
Bump
Comment 5 Ralf van der Enden 2020-02-17 10:30:52 UTC
Regenerating the patch only changes the revision number listen on the --- lines of my patch. Everything else is the same, so seems very unnecessary.
Comment 6 Ralf van der Enden 2020-02-17 10:43:26 UTC
Created attachment 211712 [details]
Update to PowerDNS Recursor 4.2.1 (regenerated against current SVN tree)
Comment 7 Ralf van der Enden 2020-02-17 10:45:09 UTC
Sorry. Overlooked the PORTREVISION line. Removed that and regenerated the patch.